package com.puship.test;

import static org.junit.Assert.fail;

import java.util.Calendar;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONArray;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;
import com.puship.PushipUtil;

public class GetDevices {
	@Test
	public void test() {
		
		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId , cr);
		
		PushipUtil.SetTimeZone("Europe/Rome");
		
		try {
			
			HashMap<String, Object> map= new HashMap<String, Object>();
			
			map.put("DeviceType", "3"); //Android platform filter
			map.put("Limit", "10");
			map.put("Offset", "0");
			
		    map.put("P1Latitude", "40.42163694648697");
			map.put("P1Longitude", "10.299156188964844");
			map.put("P2Latitude", "47.45030563100575");
			map.put("P2Longitude", "15.368927001953125");
			
			map.put("Expired", "True");

			Calendar c = Calendar.getInstance();
			c.set(2014, 5, 6, 0, 0,0); // June, 07, 2014
			
			map.put("LastPositionDate", c.getTime());
			map.put("LastPositionNumber", "1");
			
			Set<String> tagmaps = new HashSet<String>();
			tagmaps.add("Libra"); //Tag number 1
			tagmaps.add("Virgo"); //Tag number 2
		
			map.put("Tags", tagmaps);
			
			JSONArray al= ca.GetDevices(map); //returns devices depending by filters
			//JSONArray al= ca.GetDevices();  //returns all devices
			
			if (al!=null){
				for (int i = 0; i < al.length(); i++) {
					System.out.println(al.getJSONObject(i).get("DeviceId"));
					System.out.println(al.getJSONObject(i).get("Expired"));
					System.out.println(al.getJSONObject(i).get("DeviceType"));
					
					String created = al.getJSONObject(i).getString("Created");
					System.out.println(PushipUtil.ParseDate(created));
					
					String updated = al.getJSONObject(i).getString("Updated");
					System.out.println(PushipUtil.ParseDate(updated));
				}
			} else{
				System.out.println("Error during request");
			}
			 
		} catch (Exception e) {
			e.printStackTrace();
			fail("Error during GetDevices");
		}
	}

}
