package com.puship.test;

import static org.junit.Assert.fail;

import java.util.HashMap;

import org.json.JSONArray;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;
import com.puship.PushipUtil;

public class GetPushMessagesByDevice {
	@Test
	public void test() {

		Credentials cr = new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca = new CoreApi(ConfigClass.AppId, cr);
		
		PushipUtil.SetTimeZone("Europe/Rome");
		
		try {

			HashMap<String, Object> map = new HashMap<String, Object>();
			map.put("DeviceId", "jS0oE8PtHcVarde_7a6ff0f023039299"); //Device ID filter 
			map.put("Limit", "10");
			map.put("Offset", "0");

			JSONArray al = ca.GetPushMessagesByDevice(map);

			if (al != null) {
				for (int i = 0; i < al.length(); i++) {
					System.out.println(al.getJSONObject(i).get("PushMessageId"));
					System.out.println(al.getJSONObject(i).get("Message"));

					String date = al.getJSONObject(i).getString("Date");
					System.out.println(PushipUtil.ParseDate(date));
				}
			} else {
				System.out.println("Error during request");
			}

		} catch (Exception e) {
			e.printStackTrace();
			fail("Error during GetPushMessagesByDevice");
		}
	}

}